package cn.cecep.talroad.service.impl.analysis;

import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.mapper.analysis.SRaLowMonitoringWaterMapper;
import java.util.List;
import cn.cecep.talroad.domain.analysis.SRaLowMonitoringWater;
import cn.cecep.talroad.service.analysis.SRaLowMonitoringWaterService;
@Service
public class SRaLowMonitoringWaterServiceImpl extends ServiceImpl<SRaLowMonitoringWaterMapper, SRaLowMonitoringWater> implements SRaLowMonitoringWaterService{

    @Override
    public int updateBatch(List<SRaLowMonitoringWater> list) {
        return baseMapper.updateBatch(list);
    }
    @Override
    public int updateBatchSelective(List<SRaLowMonitoringWater> list) {
        return baseMapper.updateBatchSelective(list);
    }
    @Override
    public int batchInsert(List<SRaLowMonitoringWater> list) {
        return baseMapper.batchInsert(list);
    }
}
